/*
  March 9, 2023
  tBB BaseV2.6 March 22023
  This code is set up for two servo motors.
  *** Fixed Coding issues associated with the Autonomous Driving Function***
  
  The dabble APP provides three different mode namely Digital, JoyStick and Accelerometer.
  Explore more on: https://thestempedia.com/docs/dabble/game-pad-module/

  Prior to uploading this code, ensure that you have installed the Dabble library here in Arduino IDE. 
  Install the library by clicking Tools->Manage Libraries and searching for Dabble.
*/
#define CUSTOM_SETTINGS
#define INCLUDE_GAMEPAD_MODULE
#include <Dabble.h>  // this allows the code to run on the Dabble Bluetooth Controller App
#include <Servo.h>  // this line allows the addition of servo functions later
#include <SPI.h>    //Include SPI library, for boards that may disable pin 11

//Motor Pin Configuration
const int Rwb = 3;      // Motor controller Pin: In1
const int Rwf = 5;      // Motor controller Pin: In2
const int Lwf = 6;      // Motor controller Pin: In3
const int Lwb = 11;     // Motor controller Pin: In4
     
// power variables
int fullPower = 255; // variable that make the motors runn at full power
char action = "";
char actionj = "";

// Servo Pin Configuration - servos must be connected to PWM pins
  Servo servoOne;   //names the first servo 
  int posOne = 90;  // creates a variable for a starting position. Can be set to a different starting position.
  Servo servoTwo;
  int posTwo = 90;

//LED Configuration
  int rightLED = 2;
  int leftLED = 13;


void setup() {
// put your setup code here, to run once:
  Serial.begin(9600);      // make sure your Serial Monitor is also set at this baud rate.
  Dabble.begin(Serial);      //Enter baudrate of your bluetooth.
  SPI.end(); //Stop disabling pin 11
  Serial.println("Code Version: tBBbase_2-6 Dec2022");
  Serial.print("Uploaded: ");   Serial.println(__DATE__);
  
// Motor Setup
  pinMode(Rwf, OUTPUT);
  pinMode(Rwb, OUTPUT);
  pinMode(Lwf, OUTPUT);
  pinMode(Lwb, OUTPUT);


//Servo Setup
  servoOne.attach(9); //attaches servoOne to pin 10 - servos MUST be attached toPWM pins
  servoOne.write(posOne); //moves servoOne to starting position defined on line 40. Can be removed to not rotate servo when turning on.
  servoTwo.attach(10);
  servoTwo.write(posTwo);
  
// LED Setup
  pinMode(rightLED,OUTPUT);
  pinMode(leftLED, OUTPUT);

}
